<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.basicdata.SzData" %>
<%@ page import="net.sz600.basicdata.SzDataInfo" %>
<%@ page import="net.sz600.basicdata.ReadEditorXml" %>
<%
    String sFieldID   = "XXID";
    String sFieldName = "XXNR";
    SzData szData = new SzData();
    String sTable = SzConvert.toSpaceStr(request.getParameter("tablename"));
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
    ReadEditorXml readXml = new ReadEditorXml();
    String s[] = (String[])readXml.getTableInfoFromXML(sTable);
    if (s == null) {
        //out.println("");
    } else {
        sFieldID = s[0];;
        sFieldName = s[1];
    }
/*
System.out.println("==" + sTable);
System.out.println("==" + sFieldID);
System.out.println("==" + sFieldName);
*/
    szData.setTableInfo(sTable, sFieldID, sFieldName);
    SzDataInfo szDataInfo = (SzDataInfo)szData.getInfoByKeyHTML(Integer.parseInt(sKEY));
    String sValue = "";
    if (szDataInfo != null) {
        sValue = szDataInfo.getName();
    }

    out.println(sValue);

%>
